| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
fatutil.c File Reference
`#include "fatutil.h"`
`#include <string.h>`

Go to the source code of this file.

## Function Documentation

uint32_t CalculateCountOfClusters | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 148 of file fatutil.c.

void CreateDiskImage | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 198 of file fatutil.c.

int16_t GetFAT12Entry | ( | DISKIMAGE * | DiskImagePtr,
|  | int | FATindex
| ) |  |

Definition at line 86 of file fatutil.c.

void InitializeDiskDiskImage | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 175 of file fatutil.c.

void InitializeDiskImage | ( | DISKIMAGE * | DiskImagePtr,
|  | int | VolumeSize,
|  | int | BytesPerSector,
|  | int | NumFATs,
|  | int | SectorsPerFAT,
|  | int | RootEntries
| ) |  |

Definition at line 243 of file fatutil.c.

void InitializeFAT12 | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 120 of file fatutil.c.

void InitializeFAT16 | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 142 of file fatutil.c.

void InitializeFAT32 | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 145 of file fatutil.c.

void SetDiskMetricsFromDiskImage | ( | DISKIMAGE * | DiskImagePtr | ) |

Definition at line 187 of file fatutil.c.

void SetFAT12Entry | ( | DISKIMAGE * | DiskImagePtr,
|  | int | FATindex,
|  | unsigned short | FAT12ClusEntryVal
| ) |  |

Definition at line 103 of file fatutil.c.

## Variable Documentation

int32_t BytesPerSector = BYTESPERSECTOR

Definition at line 168 of file fatutil.c.

int32_t NonDataSectors = NONDATASECTORS

Definition at line 171 of file fatutil.c.

int32_t NumFats = NUMFATS

Definition at line 169 of file fatutil.c.

int32_t ReservedSectorCnt = RESERVEDSECTORCNT

Definition at line 166 of file fatutil.c.

int32_t RootEntries = ROOTENTRIES

Definition at line 167 of file fatutil.c.

int32_t SectorsPerFat = SECTORSPERFAT

Definition at line 170 of file fatutil.c.

int32_t StartDataRegion = STARTDATAREGION

Definition at line 173 of file fatutil.c.

int32_t TotalSectors = TOTALSECTORS

Definition at line 172 of file fatutil.c.